{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Planes{% endblock %}

  {% block page %}
    <!-- begin breadcrumb -->
    <ol class="breadcrumb float-xl-right">
        <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
        <li class="breadcrumb-item active">Planes</li>
      </ol>
      <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Planes <small>lista</small></h1>
  <!-- end page-header -->
 <!-- begin row -->
 <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Planes</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
            <div class="row mb-3">
                <div class="col-sm-12 col-md-12">
                    <a class="btn btn-success btn-sm pull-right" href="{% url 'plan-create' %}">Nuevo</a>
                </div>
                <form class="form-inline">
                  <div class="row mb-3">
                    <div class="form-group m-r-10">
                        <label for="id_operator" class="control-label m-l-20 m-r-5">Operador</label>
                        <select id="id_operator" class="form-control">
                          {%if if_todos %}
                          <option value="">Todos</option>
                          {%for b in operadores %}
                          <option value="{{b.id}}">{{b.name}}</option>
                          {%endfor%}
                          {% else%}
                          {%for b in operadores %}
                          <option value="{{current_operator}}">{{current_operator_name}}</option>
                          {%endfor%}
                          {%endif%}
                
                        </select>
                    </div>
                    <div class="form-group m-r-10">
                        <label for="id_category" class="control-label m-r-5">Categoría</label>
                        <select id="id_category" class="form-control">
                          <option value="">Todos</option>
                          {% for pk, category in categories %}
                            <option value="{{ pk }}">{{ category }}</option>
                          {% endfor %}
                        </select>
                    </div>
                    <div class="form-group m-r-10">
                        <label for="uf" class="control-label m-r-5">En UF</label>
                        <select id="uf" class="form-control">
                            <option value="">Todos</option>
                            <option value="True">Sí</option>
                            <option value="False">No</option>
                        </select>
                    </div>
                </div>
                </form>
            </div>
            <table id="plans-list" class="table table-hover m-b-0 text-inverse">
                <thead>
                <tr>
                    <th>ID</th>
                    <th>Nombre</th>
                    <th>Descripción comercial</th>
                    <th>Precio</th>
                    <th>Moneda</th>
                    <th>¿En UF?</th>
                    <th>Categoría</th>
                    <th>Servicios activos</th>
                    <th>Servicios en total</th>
                    <th>Operador</th> 
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
            {% if is_paginated %}
                <div style="text-align: center;">
                <span class="page-links">
                    {% if page_obj.has_previous %}
                        <a class="btn btn-default" href="?page={{ page_obj.previous_page_number }}">«</a>
                    {% endif %}
                    <span class="page-current">
                        Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}.
                    </span>
                    {% if page_obj.has_next %}
                        <a class="btn btn-default" href="?page={{ page_obj.next_page_number }}">»</a>
                    {% endif %}
                </span>
                </div>
            {% endif %}

        </div>
        <!-- end panel-body -->
      </div>
    <!-- end panel -->
    </div>
<!-- end col-12 -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}

  

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("clients_menu").classList.add("active");
    //active submenu item
    document.getElementById("plans_item").classList.add("active");
</script>
<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/plans-list.js' %}"></script>
{% endblock %}